% Main file

\documentclass[12pt, titlepage]{article}
\usepackage[margin=1in]{geometry}
\usepackage{fancyhdr}
\usepackage{graphicx}
\usepackage{siunitx}
\usepackage{tocbibind}
\usepackage{tocloft}
\usepackage{xpatch}
\usepackage{amsmath}
\usepackage[table]{xcolor}
\usepackage{times}
\usepackage{longtable}
\usepackage{adjustbox}
\usepackage{rotating}
\usepackage{tabu}
\usepackage{tabulary}
\usepackage{tablestyles}

\definecolor{AU Primary Blue}{RGB}{3, 36, 77}
\definecolor{AU Secondary Blue}{RGB}{73, 110, 156}
\definecolor{AU Primary Orange}{RGB}{221, 85, 12}
\definecolor{AU Secondary Orange}{RGB}{246, 128, 38}

\input{commands.tex}
\input{style.tex}

% proper imperial units

% Title page setup

% ==== BEGINNING OF DOCUMENT ==== %
\begin{document}

\begin{titlepage}
    \centering
    \vspace*{0cm}
    \vfill
    \Huge Embedded Systems Documentation \\
    \large{An Overview of the Math, Electronics, and \\
    Methods Used for Altitude Control}
    \vfill
    \includegraphics[width=0.375\textwidth]{images/auburn_logo.png}
    \vfill
    \large
    Auburn University Rocketry Association \\
    Embedded Systems    \\
    211 Davis Hall      \\
    Auburn, AL 36849    \\
    \date{\today}
\end{titlepage}


% Hacky workaround for removing the Table of Contents link to Table of Contents
\addtocontents{toc}{\protect\setcounter{tocdepth}{-1}}
\tableofcontents
\addtocontents{toc}{\protect\setcounter{tocdepth}{3}}

\newpage
\listoffigures
\newpage
\listoftables
\newpage
\listofmyequations
\newpage

\section{Introduction}

For anyone new to the team, Embedded Systems is the sub-team that develops an altitude control system (from now on ACS)
for competition. We are scored on how close we can get to a predetermined altitude above the ground, and it is the ACS's
job to get the rocket as close as possible. The best way to do this is to implement an \emph{active} control system, one
that can figure out how high it is going to go, and what to do in order to bring the apogee down to the target. A
passive system cannot adjust to every possible situation - for example, let us assume that our target altitude is
\feet{5000} (AGL). Setting the drag mechanism to fully deploy at \feet{2500} will not do any good if the motor did not
burn fully and the rocket's apogee would be \feet{4000} \emph{without} the drag mechanism. The ACS would drop the apogee
even lower, thus less points. There is a few things that need to be implemented for a proper active control system. In
our case, we need to figure out a way to calculate the apogee of the rocket, and how to use that information to
determine how far to deploy the drag mechanism. We will need some sensors for collecting information on the state of the
rocket, and something like a servo or DC motor for actuating a drag mechanism. This paper documents the process and
theory behind everything needed to design and implement an active altitude control system.

% Subsections written in files below.

\include{control/main}
\include{electronics/main}
\include{computing/main}

\end{document}